1 Reply Latest reply: Feb 29, 2012 5:16 AM by Soory RSS

    Anyway to force patch install on a zone that's already installed in global?

    bobthesungeek76036
      Global zone has 142909-17 installed:

      <pre>user@global:~$ showrev -p | grep "Patch: 142909-17"
      Patch: 142909-17 Obsoletes: 118814-01, 120038-01, 120816-01, 121128-01, 121394-03, 122085-01, 123194-01, 123271-01, 123332-02, 123334-05, 125022-01, 125108-02, 125174-02, 125200-01, 125201-01, 125808-01, 125896-03, 126308-01, 126428-01, 127723-01, 127759-03, 127762-01, 127882-03, 128032-01, 128324-02, 128346-01, 136891-02, 137017-03, 137028-01, 137123-03, 137133-01, 137291-01, 138046-02, 138081-01, 138098-01, 138112-01, 138116-01, 138118-01, 138120-01, 138157-01, 138169-01, 138223-03, 138263-03, 138283-05, 138318-03, 138324-03, 138375-01, 138381-01, 138411-01, 138627-07, 138644-01, 138764-02, 138848-02, 138858-01, 138870-01, 138872-02, 138874-05, 139390-01, 139468-01, 139487-01, 139503-01, 139504-01, 139508-01, 139509-02, 139514-01, 139553-01, 139568-01, 139935-01, 139941-01, 139943-01, 139945-03, 139946-01, 139948-01, 139949-01, 139958-01, 139970-01, 139971-01, 139975-03, 139983-04, 140003-03, 140078-01, 140144-01, 140146-01, 140151-02, 140157-03, 140165-01, 140167-01, 140169-01, 140175-01, 140192-01, 140386-04, 140391-03, 140395-01, 140397-11, 140401-01, 140413-01, 140557-01, 140559-01, 140562-02, 140681-02, 140788-01, 140917-02, 141012-01, 141022-02, 141026-14, 141030-10, 141034-02, 141054-01, 141536-01, 141542-01, 141544-01, 141550-02, 141562-02, 141723-02, 141740-01, 141773-01, 141780-01, 141899-03, 141906-01, 141914-02, 141922-02, 142005-01, 142055-03, 142236-02, 142242-05, 142245-02, 142247-01, 142249-01, 142257-05, 142259-07, 142263-01, 142290-01, 142330-01, 142346-02, 142390-03, 142436-08, 142481-01, 142528-01, 142539-01, 142541-01, 142675-01, 142900-15, 143051-01, 143052-02, 143054-01, 143117-01, 143119-02, 143120-03, 143122-02, 143125-02, 143128-05, 143131-08, 143135-03, 143137-04, 143350-05, 143352-01, 143354-03, 143356-01, 143357-05, 143359-02, 143360-01, 143515-01, 143519-01, 143521-02, 143523-04, 143528-01, 143556-04, 143558-01, 143565-01, 143569-04, 143574-01, 143576-03, 143583-02, 143585-01, 143586-02, 143590-01, 143595-01, 143597-02, 143603-01, 143605-01, 143607-01, 143611-01, 143613-01, 143623-01, 143895-01, 143897-03, 143899-01, 143903-01, 143905-01, 143907-01, 143909-06, 143911-01, 143920-02, 143927-02, 143933-01, 143935-01, 143943-01, 144015-01, 144017-01, 144019-01, 144021-01, 144023-01, 144043-01, 144045-02, 144049-01, 144051-03, 144056-01, 144110-01, 144182-01, 144258-01, 144369-01, 144373-01, 144389-01, 144453-01, 144494-01, 144511-01, 144624-01, 144761-01, 145024-01, 145049-01, 145051-01, 145102-01, 145103-01 Requires: 118731-01, 118833-36, 118918-24, 119042-09, 119578-30, 120011-14, 120900-04, 121133-02, 121901-01, 126540-02, 126897-02, 127127-11, 127755-01, 137137-09, 139555-08, 141444-09, 142911-01, 142933-02 Incompatibles: Packages: SUNWixgb, SUNWcsr, SUNWdmgtu, SUNW1394, SUNWcsl, SUNWdtrc, SUNWefcl, SUNWcpc, SUNWcti2, SUNWckr, SUNWfmdr, SUNWcsu, SUNWdrcr, SUNWftdur, SUNWcpcu, FJSVmdb, SUNWarcr, FJSVmdbr, SUNWhea, SUNWib, SUNWkvm, SUNWdcar, SUNWcslr, SUNWfmd, SUNWhermon, SUNWaccu, SUNWfruip, SUNWmdb, FJSVcpcu, SUNWesu, SUNWluxl, SUNWipoib, SUNWdhcsu, FJSVpiclu, SUNWmdbr, FJSVfmd, SUNWcsd, SUNWmdr, SUNWefc, SUNWcpr, FJSVhea, SUNWippcore, SUNWcry, SUNWarc, SUNWcakr, SUNWdrr, SUNWintgige
      user@global:~$ more /etc/release
      Solaris 10 8/07 s10s_u4wos_12b SPARC
      Copyright 2007 Sun Microsystems, Inc. All Rights Reserved.
      Use is subject to license terms.
      Assembled 16 August 2007
      user@global:~$</pre>

      Sparse-root zone does not show it being installed:

      <pre>user@global:~$ sudo zlogin zone1 showrev -p | grep "Patch: 142909-17"
      user@global:~$ sudo zlogin zone1 cat /etc/release
      Solaris 10 8/07 s10s_u4wos_12b SPARC
      Copyright 2007 Sun Microsystems, Inc. All Rights Reserved.
      Use is subject to license terms.
      Assembled 16 August 2007
      user@global:~$</pre>

      Not sure how it happened. Original admin is no longer with the company. My guess it was installed with a -G in the global zone? Is there some magic that will apply the patch to the zone w/o backing out and reinstall in global zone? The install of 144500-11 is bombing out because zone does not think patch is installed:

      <pre>Patches that passed the dependency check:
      144500-19
      Fatal failure occurred - impossible to install any patches.
      SUNWlu-zone1: For patch 144500-19, required patch 142909-17 does not exist.
      SUNWlu-zone2: For patch 144500-19, required patch 142909-17 does not exist.
      SUNWlu-zone3: For patch 144500-19, required patch 142909-17 does not exist.
      SUNWlu-zone4: For patch 144500-19, required patch 142909-17 does not exist.
      Fatal failure occurred - impossible to install any patches.

      Failed (exit code 1)</pre>

      Not real interested in installing 144500-19 with -G but if that's the last resort then...